# iGameLister

A tool to generate nicely formatted `gameslist` and `genre` files for [iGame](http://winterland.no-ip.org/igame/), an AmigaOS WHDLoad launcher application.

## Installation

Install and update using [pip](https://pip.pypa.io/en/stable/quickstart/):

```shell
$ pip install igamelister
```

iGameLister supports Python 3.6 and newer.

## Dependencies

Requires C++ build tools to compile the required [lhafile](https://pypi.org/project/lhafile/) module.

On Windows you will need to have either [Visual Studio 2017](https://www.visualstudio.com/) with **Python development workload** installed,
or you can install the [Build Tools for Visual Studio 2017](https://www.visualstudio.com/downloads/#build-tools-for-visual-studio-2017).

More info available at the following links:
* https://wiki.python.org/moin/WindowsCompilers
* https://blogs.msdn.microsoft.com/pythonengineering/2016/04/11/unable-to-find-vcvarsall-bat/

## Usage

iGameLister can be run directly as an executable

```shell
$ igamelister
```

or via Python as a module.

```shell
$ python -m igamelister
```

## Links

* iGame: http://winterland.no-ip.org/igame/
* WHDLoad: http://www.whdload.de/
* Hall Of Light: http://hol.abime.net/
* Lemon Amiga: http://www.lemonamiga.com/
* Amiga Demoscene Archive: http://ada.untergrund.net/
* Kestra BitWorld: http://janeway.exotica.org.uk/
* Pou&#xeb;t: http://www.pouet.net/
